Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Fedora Packaging (http://www.linux-archive.org/fedora-packaging/)
-   -   glibc-devel (or libstdc++-devel) not BuildRequires exceptions? (http://www.linux-archive.org/fedora-packaging/704164-glibc-devel-libstdc-devel-not-buildrequires-exceptions.html)

Michael Schwendt 09-15-2012 09:43 PM

glibc-devel (or libstdc++-devel) not BuildRequires exceptions?
 
On Sat, 15 Sep 2012 16:20:54 -0500, Rex Dieter wrote:

> Was about to comment on a review that
> BuildRequires: glibc-devel
> isn't needed and was in the list of exceptions, and was to link the list
> http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
> only to discover it indeed is not there.
>
> Shouldn't it be?
>
> A Similar argument could probably be made for libstdc++-devel

It hasn't come up often enough over the past years. The guidelines say:

| There is no need to include the following packages
| or their dependencies ...
^^^^^^^^^^^^^^^^^^^^^
(!)

* gcc and gcc-c++ are on the list
* gcc requires glibc-devel
* gcc-c++ requires libstdc++-devel

--
Fedora release 17 (Beefy Miracle) - Linux 3.5.3-1.fc17.x86_64
loadavg: 0.20 0.29 0.29
--
packaging mailing list
packaging@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/packaging


All times are GMT. The time now is 05:48 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.